%undefine __libtoolize
%define qtdir /usr/lib/qt3
%define rname activeheart
%define beta %nil

Name: kde-styles-%rname-kwin
Version: 1.1
Release: alt3

Group: Graphical desktop/KDE
Summary: KDE Style for kwin
License: GPL
URL: http://kde-look.org/usermanager/search.php?username=amaterasu

Requires: kdelibs >= %{get_version kdelibs}

Source: kwin-%rname-%version%beta.tar.bz2
Patch1: 1.1-lkdecorations.patch
Patch2: automake.patch

# Automatically added by buildreq on Thu Aug 26 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdebase-devel kdebase-wm kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer xml-utils zlib-devel

BuildRequires: xorg-x11-devel
BuildRequires: gcc-c++ kdebase-devel libarts-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel libstdc++-devel
BuildRequires: xml-utils zlib-devel
BuildRequires: kdelibs-devel

%description
The concept of this style is harmony of sharpness and softness.
And this style was created based on keramik.

Authors:
--------
amaterasu <prefsx1@yahoo.co.jp>

Keramik engine by:
Malte Starostik <malte@kde.org>
Maksim Orlovich <mo002j@mail.rochester.edu>

%prep
%setup -q -n kwin-%rname-%version%beta
%patch1 -p1
%patch2 -p1

#subst "s/Wl,--no-undefined/-Wl,--warn-unresolved-symbols/g" admin/acinclude.m4.in
#subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
#subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
#subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
%configure \
	--enable-final \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug \
	--program-transform-name=""

%make_build

%install
%make DESTDIR=%buildroot install

%files
#%doc AUTHORS ChangeLog TODO
%_libdir/kde3/*.la
%_libdir/kde3/*.so*
#%dir %_libdir/kde3/plugins/styles/
#%_libdir/kde3/plugins/styles/*.la
#%_libdir/kde3/plugins/styles/*.so*
#
#%dir %_datadir/apps/kdisplay/color-schemes
#%_datadir/apps/kdisplay/color-schemes/*.kcsrc
#%dir %_datadir/apps/kstyle/themes
#%_datadir/apps/kstyle/themes/*.themerc
%dir %_datadir/apps/kwin
%_datadir/apps/kwin/*.desktop

%changelog
* Thu Oct 05 2006 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt3
- rebuilt

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt2
- fix build

* Thu Aug 26 2004 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt1
- initial spec
